Jump to content

# Rofi (Português)

5 languages

- English
- 日本語
- Polski
- Русский
- 中文（简体）

From ArchWiki
Status de tradução: Esse artigo é uma tradução de Rofi. Data da última tradução: 2020-06-16. Você pode ajudar a sincronizar a tradução, se houver alterações na versão em inglês.

Artigos relacionados

- Lista de aplicativos/Outros

O Rofi é um alternador de janelas, executa diálogos, ssh-launcher e dmenu, uma substituição que começou com um clone do simpleswitcher, escrito por Sean Pringle e depois expandido por Dave Davenport.

## Instalação

Instale o pacote rofi.

## Configuração

Atualmente, existem quatro métodos para definir opções de configuração:

- Configuração local. Normalmente, dependendo do XDG, em `~/.config/rofi/config`. Isso usa o formato Xresources.
- Novo formato de tema, que pode ter um bloco de configuração. `~/.config/rofi/config.rasi`
- Xresources: É um método de armazenamento de valores-chave no Xserver.
- Opções de linha de comando

Note: O formato Xresources ficará obsoleto nas futuras versões rofi

Sendo assim

    $ rofi -combi-modi window,drun,ssh -theme solarized -font "hack 10" -show combi

pode ser expresso em um arquivo de configuração como este (novo formato de tema):

    configuration {
     modi: "window,drun,ssh,combi";
     theme: "solarized";
     font: "hack 10";
     combi-modi: "window,drun,ssh";
     }

Para obter uma lista completa de opções para o arquivo `config.rasi` execute `rofi -dump-config`. Você pode gravar a saída do comando diretamente no seu arquivo `config` enquanto executa `rofi -dump-config > ~/.config/rofi/config.rasi`

Note: Os usuários do i3 estão cientes de que colocar vírgulas na configuração do i3 pode causar problemas. Para vincular uma chave para iniciar o rofi, use um arquivo de configuração ou substitua as vírgulas por `#` por exemplo: `rofi -combi-modi window#drun#ssh`

### Ícones

É possível usar ícones para exibir com suas entradas correspondentes. Supondo que você tenha papirus-icon-theme instalado, com `-show-icons` e definindo o tema do ícone com `-icon-theme`, você pode ter ícones de exibição rofi e fazer o seguinte:

    $ rofi -combi-modi window,drun,ssh -theme solarized -font "hack 10" -show combi -icon-theme "Papirus" -show-icons

## Rofi como substituição do dmenu

Se chamar com o dmenu (através de um link simbólico), o rofi atua como dmenu. Em seguida, programas que chamam dmenu de um script (como passmenu de pass) usará rofi em vez de dmenu.

Se você prefere a aparência do dmenu, isso se aproxima:

    rofi -show run -modi run -location 1 -width 100 \
    		 -lines 2 -line-margin 0 -line-padding 1 \
    		 -separator-style none -font "mono 10" -columns 9 -bw 0 \
    		 -disable-history \
    		 -hide-scrollbar \
    		 -color-window "#222222, #222222, #b1b4b3" \
    		 -color-normal "#222222, #b1b4b3, #222222, #005577, #b1b4b3" \
    		 -color-active "#222222, #b1b4b3, #222222, #007763, #b1b4b3" \
    		 -color-urgent "#222222, #b1b4b3, #222222, #77003d, #b1b4b3" \
    		 -kb-row-select "Tab" -kb-row-tab ""

## Executar comandos shell no rofi

Se você deseja executar comandos do shell ou usar seus próprios scripts diretamente do rofi para ver a saída, verifique o seguinte:

- configure a variável PATH em `~/.profile` (em vez de por exemplo: `~/.bashrc`) e, em seguida, efetue logout e faça login novamente no seu gerenciador de janelas/ambiente de desktop
- defina `-run-shell-command '{terminal} -e \\"{cmd}; read -n 1 -s"'`. Isso permite que você insira o comando na barra de entrada, seguido de SHIFT+ENTER. O terminal permanece aberto até o próximo pressionamento de tecla.

Este é um exemplo com a sequência de escape recomendada para o i3:

     bindsym $mod+d exec --no-startup-id "rofi -show drun -font \\"DejaVu 9\\" -run-shell-command '{terminal} -e \\" {cmd}; read -n 1 -s\\"'"

## Temas personalizados

Você pode visualizar e aplicar temas para rofi com:

     rofi-theme-selector

As personalizações podem ser salvas no seu .Xresources file (requer o pacote xorg-xrdb). Para aplicar as alterações, recarregue o .Xresources com `xrdb -load ~/.Xresources`.

### Temas contribuídos

Rofi vem com vários temas oficiais, e mais temas do usuário podem ser encontrados no rofi-temas.

Carregue um tema oficial ou baixe um tema de usuário .rasi e coloque-o em `~/.config/rofi/example.rasi`. Na linha de comando ou em um arquivo de configuração:

     rofi <options> -theme example

ou no seu arquivo de configuração:

     rofi.theme:    example

Category:

- Application launchers (Português)